Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
attributes
/
sync-history
/
user
/
{userId}
Get sync history for a specific user
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/attributes/sync-history/user/{userId} \
  --header 'Authorization: <authorization>'
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/attributes/sync-history/user/{userId}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://api.cal.com/v2/organizations/{orgId}/attributes/sync-history/user/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": [
    {
      "id": "<string>",
      "provider": "<string>",
      "signatureVerified": true,
      "createdAt": "<string>",
      "ruleEvaluations": [
        {
          "id": "<string>",
          "runId": "<string>",
          "evaluationOrder": 123,
          "attributeKey": "<string>",
          "operator": "<string>",
          "expectedValueType": "<string>",
          "actualValueType": "<string>",
          "passed": true,
          "createdAt": "<string>",
          "ruleId": "<string>",
          "expectedValue": "<string>",
          "actualValue": "<string>"
        }
      ],
      "appliedFieldMappings": [
        {
          "id": "<string>",
          "runId": "<string>",
          "attributeSlug": "<string>",
          "attributeName": "<string>",
          "sourceField": "<string>",
          "outcome": "<string>",
          "createdAt": "<string>",
          "fieldMappingId": "<string>",
          "attributeId": "<string>",
          "previousValue": "<string>",
          "newValue": "<string>"
        }
      ],
      "teamMembershipChanges": [
        {
          "id": "<string>",
          "runId": "<string>",
          "teamName": "<string>",
          "outcome": "<string>",
          "createdAt": "<string>",
          "teamId": 123,
          "teamSlug": "<string>"
        }
      ],
      "credentialId": 123,
      "organizationId": 123,
      "userId": 123,
      "userName": "<string>",
      "externalUserId": "<string>",
      "errorMessage": "<string>"
    }
  ],
  "meta": {
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Headers

Authorization
string
required

value must be Bearer <token> where <token> is api key prefixed with cal_

Path Parameters

orgId
number
required
userId
number
required

Query Parameters

limit
number
default:25

Maximum number of items to return (1–100)

Required range: 1 <= x <= 100
Example:

25

cursor
string

Cursor for keyset pagination (UUID of the last item from previous page)

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object[]
required
meta
object
required